// מעקב אחר שינויי URL
chrome.tabs.onUpdated.addListener((tabId, changeInfo, tab) => {
  if (changeInfo.status === 'complete') {
    // בדף המקורי - רק כפתור הדפסה
    if (tab.url?.includes('mishnatyosef.org/order/') && !tab.url?.includes('print=true')) {
      chrome.scripting.executeScript({
        target: { tabId: tabId },
        function: () => {
          if (!document.querySelector('.print-extension-buttons')) {
            const buttonsContainer = document.createElement('div');
            buttonsContainer.className = 'print-extension-buttons';
            buttonsContainer.style.cssText = 'position: fixed; top: 20px; left: 20px; z-index: 9999; display: flex; gap: 10px;';

            const printButton = document.createElement('button');
            printButton.className = 'print-extension-button';
            printButton.style.cssText = 'padding: 8px 16px; background: #0d6efd; color: white; border: none; border-radius: 4px; cursor: pointer; font-family: system-ui;';
            printButton.onclick = () => window.print();

            buttonsContainer.appendChild(printButton);
            document.body.appendChild(buttonsContainer);
          }
        }
      });
    }
  }
});

// טיפול בלחיצה על אייקון התוסף
chrome.action.onClicked.addListener((tab) => {
  if (tab.url.includes('new.mishnatyosef.org/order/') || tab.url.includes('mishnatyosef.org/order/')) {
    chrome.scripting.executeScript({
      target: { tabId: tab.id },
      function: () => {
        document.querySelector('.print-extension-button')?.click();
      }
    });
  }
});
